Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.aspectj
Class AspectJPointcutAdvisor

    java.lang.Object
      org.springframework.aop.aspectj.AspectJPointcutAdvisor

All Implemented Interfaces:
  Advisor, PointcutAdvisor, Ordered

    public class AspectJPointcutAdvisor

extends Object
implements PointcutAdvisor, Ordered

AspectJPointcutAdvisor that adapts an `AbstractAspectJAdvice` to the `PointcutAdvisor` interface.

Since:
  2.0
Author:
  Adrian Colyer, Juergen Hoeller

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`AspectJPointcutAdvisor(AbstractAspectJAdvice advice)` Create a new AspectJPointcutAdvisor for the given advice

Method Summary
`boolean` | `equals(Object other)`
`Advice` | `getAdvice()` Return the advice part of this aspect.
`int` | `getOrder()` Return the order value of this object, with a higher value meaning greater in terms of sorting.
`Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.
`int` | `hashCode()`
`boolean` | `isPerInstance()` Return whether this advice is associated with a particular instance (for example, creating a mixin) or shared with all instances of the advised class obtained from the same Spring bean factory.
`void` | `setOrder(int order)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectJPointcutAdvisor

    public AspectJPointcutAdvisor(AbstractAspectJAdvice advice)

  Create a new AspectJPointcutAdvisor for the given advice

  Parameters:
    `advice` - the AbstractAspectJAdvice to wrap

Method Detail

### setOrder

    public void setOrder(int order)

### isPerInstance

    public boolean isPerInstance()

  Description copied from interface: `Advisor`
  Return whether this advice is associated with a particular instance (for example, creating a mixin) or shared with all instances of the advised class obtained from the same Spring bean factory.

  Note that this method is not currently used by the framework. Typical Advisor implementations always return `true`. Use singleton/prototype bean definitions or appropriate programmatic proxy creation to ensure that Advisors have the correct lifecycle model.

  Specified by:
    `isPerInstance` in interface `Advisor`
  Returns:
    whether this advice is associated with a particular target instance

### getAdvice

    public Advice getAdvice()

  Description copied from interface: `Advisor`
  Return the advice part of this aspect. An advice may be an interceptor, a before advice, a throws advice, etc.

  Specified by:
    `getAdvice` in interface `Advisor`
  Returns:
    the advice that should apply if the pointcut matches
  See Also:
    `MethodInterceptor`, `BeforeAdvice`, `ThrowsAdvice`, `AfterReturningAdvice`

### getPointcut

    public Pointcut getPointcut()

  Description copied from interface: `PointcutAdvisor`
  Get the Pointcut that drives this advisor.

  Specified by:
    `getPointcut` in interface `PointcutAdvisor`

### getOrder

    public int getOrder()

  Description copied from interface: `Ordered`
  Return the order value of this object, with a higher value meaning greater in terms of sorting.

  Normally starting with 0 or 1, with `Ordered.LOWEST_PRECEDENCE` indicating greatest. Same order values will result in arbitrary positions for the affected objects.

  Higher value can be interpreted as lower priority, consequently the first object has highest priority (somewhat analogous to Servlet "load-on-startup" values).

  Note that order values below 0 are reserved for framework purposes. Application-specified values should always be 0 or greater, with only framework components (internal or third-party) supposed to use lower values.

  Specified by:
    `getOrder` in interface `Ordered`
  Returns:
    the order value
  See Also:
    `Ordered.LOWEST_PRECEDENCE`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.